// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.12.4
// source: enrollment/enrollment.proto

package enrollment

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type QuizEnrollments struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	StudentId      string               `protobuf:"bytes,1,opt,name=StudentId,proto3" json:"StudentId,omitempty"`
	QuizId         string               `protobuf:"bytes,2,opt,name=QuizId,proto3" json:"QuizId,omitempty"`
	EnrollmentCode string               `protobuf:"bytes,3,opt,name=EnrollmentCode,proto3" json:"EnrollmentCode,omitempty"`
	EnrollmentDate *timestamp.Timestamp `protobuf:"bytes,4,opt,name=EnrollmentDate,proto3" json:"EnrollmentDate,omitempty"`
}

func (x *QuizEnrollments) Reset() {
	*x = QuizEnrollments{}
	if protoimpl.UnsafeEnabled {
		mi := &file_enrollment_enrollment_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QuizEnrollments) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuizEnrollments) ProtoMessage() {}

func (x *QuizEnrollments) ProtoReflect() protoreflect.Message {
	mi := &file_enrollment_enrollment_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuizEnrollments.ProtoReflect.Descriptor instead.
func (*QuizEnrollments) Descriptor() ([]byte, []int) {
	return file_enrollment_enrollment_proto_rawDescGZIP(), []int{0}
}

func (x *QuizEnrollments) GetStudentId() string {
	if x != nil {
		return x.StudentId
	}
	return ""
}

func (x *QuizEnrollments) GetQuizId() string {
	if x != nil {
		return x.QuizId
	}
	return ""
}

func (x *QuizEnrollments) GetEnrollmentCode() string {
	if x != nil {
		return x.EnrollmentCode
	}
	return ""
}

func (x *QuizEnrollments) GetEnrollmentDate() *timestamp.Timestamp {
	if x != nil {
		return x.EnrollmentDate
	}
	return nil
}

type GetQuizEnrollmentRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuizId string `protobuf:"bytes,1,opt,name=QuizId,proto3" json:"QuizId,omitempty"`
}

func (x *GetQuizEnrollmentRequest) Reset() {
	*x = GetQuizEnrollmentRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_enrollment_enrollment_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetQuizEnrollmentRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetQuizEnrollmentRequest) ProtoMessage() {}

func (x *GetQuizEnrollmentRequest) ProtoReflect() protoreflect.Message {
	mi := &file_enrollment_enrollment_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetQuizEnrollmentRequest.ProtoReflect.Descriptor instead.
func (*GetQuizEnrollmentRequest) Descriptor() ([]byte, []int) {
	return file_enrollment_enrollment_proto_rawDescGZIP(), []int{1}
}

func (x *GetQuizEnrollmentRequest) GetQuizId() string {
	if x != nil {
		return x.QuizId
	}
	return ""
}

type SetQuizEnrollmentResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	StudentEnrolled string `protobuf:"bytes,1,opt,name=StudentEnrolled,proto3" json:"StudentEnrolled,omitempty"`
}

func (x *SetQuizEnrollmentResponse) Reset() {
	*x = SetQuizEnrollmentResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_enrollment_enrollment_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetQuizEnrollmentResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetQuizEnrollmentResponse) ProtoMessage() {}

func (x *SetQuizEnrollmentResponse) ProtoReflect() protoreflect.Message {
	mi := &file_enrollment_enrollment_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetQuizEnrollmentResponse.ProtoReflect.Descriptor instead.
func (*SetQuizEnrollmentResponse) Descriptor() ([]byte, []int) {
	return file_enrollment_enrollment_proto_rawDescGZIP(), []int{2}
}

func (x *SetQuizEnrollmentResponse) GetStudentEnrolled() string {
	if x != nil {
		return x.StudentEnrolled
	}
	return ""
}

type SetEnrolledStudentsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	EnrolledStudents []*QuizEnrollments `protobuf:"bytes,1,rep,name=EnrolledStudents,proto3" json:"EnrolledStudents,omitempty"`
}

func (x *SetEnrolledStudentsResponse) Reset() {
	*x = SetEnrolledStudentsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_enrollment_enrollment_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetEnrolledStudentsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetEnrolledStudentsResponse) ProtoMessage() {}

func (x *SetEnrolledStudentsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_enrollment_enrollment_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetEnrolledStudentsResponse.ProtoReflect.Descriptor instead.
func (*SetEnrolledStudentsResponse) Descriptor() ([]byte, []int) {
	return file_enrollment_enrollment_proto_rawDescGZIP(), []int{3}
}

func (x *SetEnrolledStudentsResponse) GetEnrolledStudents() []*QuizEnrollments {
	if x != nil {
		return x.EnrolledStudents
	}
	return nil
}

type GetTakeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuizId       string `protobuf:"bytes,1,opt,name=QuizId,proto3" json:"QuizId,omitempty"`
	StudentId    string `protobuf:"bytes,2,opt,name=StudentId,proto3" json:"StudentId,omitempty"`
	AnswerBody   string `protobuf:"bytes,3,opt,name=AnswerBody,proto3" json:"AnswerBody,omitempty"`
	EnrollmentId uint32 `protobuf:"varint,4,opt,name=EnrollmentId,proto3" json:"EnrollmentId,omitempty"`
}

func (x *GetTakeRequest) Reset() {
	*x = GetTakeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_enrollment_enrollment_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetTakeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetTakeRequest) ProtoMessage() {}

func (x *GetTakeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_enrollment_enrollment_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetTakeRequest.ProtoReflect.Descriptor instead.
func (*GetTakeRequest) Descriptor() ([]byte, []int) {
	return file_enrollment_enrollment_proto_rawDescGZIP(), []int{4}
}

func (x *GetTakeRequest) GetQuizId() string {
	if x != nil {
		return x.QuizId
	}
	return ""
}

func (x *GetTakeRequest) GetStudentId() string {
	if x != nil {
		return x.StudentId
	}
	return ""
}

func (x *GetTakeRequest) GetAnswerBody() string {
	if x != nil {
		return x.AnswerBody
	}
	return ""
}

func (x *GetTakeRequest) GetEnrollmentId() uint32 {
	if x != nil {
		return x.EnrollmentId
	}
	return 0
}

type SetTakeQuizResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestionStament string `protobuf:"bytes,1,opt,name=QuestionStament,proto3" json:"QuestionStament,omitempty"`
}

func (x *SetTakeQuizResponse) Reset() {
	*x = SetTakeQuizResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_enrollment_enrollment_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetTakeQuizResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetTakeQuizResponse) ProtoMessage() {}

func (x *SetTakeQuizResponse) ProtoReflect() protoreflect.Message {
	mi := &file_enrollment_enrollment_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetTakeQuizResponse.ProtoReflect.Descriptor instead.
func (*SetTakeQuizResponse) Descriptor() ([]byte, []int) {
	return file_enrollment_enrollment_proto_rawDescGZIP(), []int{5}
}

func (x *SetTakeQuizResponse) GetQuestionStament() string {
	if x != nil {
		return x.QuestionStament
	}
	return ""
}

var File_enrollment_enrollment_proto protoreflect.FileDescriptor

var file_enrollment_enrollment_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2f, 0x65, 0x6e, 0x72,
	0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x65,
	0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xb3, 0x01, 0x0a, 0x0f, 0x51,
	0x75, 0x69, 0x7a, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x1c,
	0x0a, 0x09, 0x53, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x09, 0x53, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x16, 0x0a, 0x06,
	0x51, 0x75, 0x69, 0x7a, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x51, 0x75,
	0x69, 0x7a, 0x49, 0x64, 0x12, 0x26, 0x0a, 0x0e, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65,
	0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x45, 0x6e,
	0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x42, 0x0a, 0x0e,
	0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x44, 0x61, 0x74, 0x65, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x52, 0x0e, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x44, 0x61, 0x74, 0x65,
	0x22, 0x32, 0x0a, 0x18, 0x47, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x45, 0x6e, 0x72, 0x6f, 0x6c,
	0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a, 0x06,
	0x51, 0x75, 0x69, 0x7a, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x51, 0x75,
	0x69, 0x7a, 0x49, 0x64, 0x22, 0x45, 0x0a, 0x19, 0x53, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x45,
	0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x28, 0x0a, 0x0f, 0x53, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74, 0x45, 0x6e, 0x72, 0x6f,
	0x6c, 0x6c, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x53, 0x74, 0x75, 0x64,
	0x65, 0x6e, 0x74, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x64, 0x22, 0x66, 0x0a, 0x1b, 0x53,
	0x65, 0x74, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x64, 0x53, 0x74, 0x75, 0x64, 0x65, 0x6e,
	0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x47, 0x0a, 0x10, 0x45, 0x6e,
	0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x64, 0x53, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x01,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x65, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e,
	0x74, 0x2e, 0x51, 0x75, 0x69, 0x7a, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74,
	0x73, 0x52, 0x10, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x65, 0x64, 0x53, 0x74, 0x75, 0x64, 0x65,
	0x6e, 0x74, 0x73, 0x22, 0x8a, 0x01, 0x0a, 0x0e, 0x47, 0x65, 0x74, 0x54, 0x61, 0x6b, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x51, 0x75, 0x69, 0x7a, 0x49, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x51, 0x75, 0x69, 0x7a, 0x49, 0x64, 0x12, 0x1c,
	0x0a, 0x09, 0x53, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x09, 0x53, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x1e, 0x0a, 0x0a,
	0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x42, 0x6f, 0x64, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0a, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x42, 0x6f, 0x64, 0x79, 0x12, 0x22, 0x0a, 0x0c,
	0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0d, 0x52, 0x0c, 0x45, 0x6e, 0x72, 0x6f, 0x6c, 0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64,
	0x22, 0x3f, 0x0a, 0x13, 0x53, 0x65, 0x74, 0x54, 0x61, 0x6b, 0x65, 0x51, 0x75, 0x69, 0x7a, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x28, 0x0a, 0x0f, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x69, 0x6f, 0x6e, 0x53, 0x74, 0x61, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0f, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x74, 0x61, 0x6d, 0x65, 0x6e,
	0x74, 0x42, 0x42, 0x5a, 0x40, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f,
	0x67, 0x6f, 0x2d, 0x70, 0x72, 0x6f, 0x2d, 0x63, 0x61, 0x70, 0x74, 0x2f, 0x70, 0x6c, 0x61, 0x74,
	0x7a, 0x69, 0x2d, 0x67, 0x6f, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x61,
	0x70, 0x69, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x70, 0x62, 0x2f, 0x65, 0x6e, 0x72, 0x6f, 0x6c,
	0x6c, 0x6d, 0x65, 0x6e, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_enrollment_enrollment_proto_rawDescOnce sync.Once
	file_enrollment_enrollment_proto_rawDescData = file_enrollment_enrollment_proto_rawDesc
)

func file_enrollment_enrollment_proto_rawDescGZIP() []byte {
	file_enrollment_enrollment_proto_rawDescOnce.Do(func() {
		file_enrollment_enrollment_proto_rawDescData = protoimpl.X.CompressGZIP(file_enrollment_enrollment_proto_rawDescData)
	})
	return file_enrollment_enrollment_proto_rawDescData
}

var file_enrollment_enrollment_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_enrollment_enrollment_proto_goTypes = []interface{}{
	(*QuizEnrollments)(nil),             // 0: enrollment.QuizEnrollments
	(*GetQuizEnrollmentRequest)(nil),    // 1: enrollment.GetQuizEnrollmentRequest
	(*SetQuizEnrollmentResponse)(nil),   // 2: enrollment.SetQuizEnrollmentResponse
	(*SetEnrolledStudentsResponse)(nil), // 3: enrollment.SetEnrolledStudentsResponse
	(*GetTakeRequest)(nil),              // 4: enrollment.GetTakeRequest
	(*SetTakeQuizResponse)(nil),         // 5: enrollment.SetTakeQuizResponse
	(*timestamp.Timestamp)(nil),         // 6: google.protobuf.Timestamp
}
var file_enrollment_enrollment_proto_depIdxs = []int32{
	6, // 0: enrollment.QuizEnrollments.EnrollmentDate:type_name -> google.protobuf.Timestamp
	0, // 1: enrollment.SetEnrolledStudentsResponse.EnrolledStudents:type_name -> enrollment.QuizEnrollments
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_enrollment_enrollment_proto_init() }
func file_enrollment_enrollment_proto_init() {
	if File_enrollment_enrollment_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_enrollment_enrollment_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QuizEnrollments); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_enrollment_enrollment_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetQuizEnrollmentRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_enrollment_enrollment_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetQuizEnrollmentResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_enrollment_enrollment_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetEnrolledStudentsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_enrollment_enrollment_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetTakeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_enrollment_enrollment_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetTakeQuizResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_enrollment_enrollment_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_enrollment_enrollment_proto_goTypes,
		DependencyIndexes: file_enrollment_enrollment_proto_depIdxs,
		MessageInfos:      file_enrollment_enrollment_proto_msgTypes,
	}.Build()
	File_enrollment_enrollment_proto = out.File
	file_enrollment_enrollment_proto_rawDesc = nil
	file_enrollment_enrollment_proto_goTypes = nil
	file_enrollment_enrollment_proto_depIdxs = nil
}
